Package com.google.earth.kml._2

# Class LocationType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.LocationType

public class LocationType extends ObjectType
<p>Java class for LocationType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LocationType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <all> <element name="longitude" type="{http://earth.google.com/kml/2.1}angle180" minOccurs="0"/> <element name="latitude" type="{http://earth.google.com/kml/2.1}angle90" minOccurs="0"/> <element name="altitude" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> </all> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `altitude`
  `protected Double`
  `latitude`
  `protected Double`
  `longitude`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getAltitude()`
  Gets the value of the altitude property.
  `Double`
  `getLatitude()`
  Gets the value of the latitude property.
  `Double`
  `getLongitude()`
  Gets the value of the longitude property.
  `void`
  `setAltitude(Double value)`
  Sets the value of the altitude property.
  `void`
  `setLatitude(Double value)`
  Sets the value of the latitude property.
  `void`
  `setLongitude(Double value)`
  Sets the value of the longitude property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### longitude

    protected Double longitude

  - ### latitude

    protected Double latitude

  - ### altitude

    protected Double altitude

- ## Constructor Details

  - ### LocationType

    public LocationType()

- ## Method Details

  - ### getLongitude

    public Double getLongitude()
    Gets the value of the longitude property.
    Returns:
      possible object is `Double`

  - ### setLongitude

    public void setLongitude(Double value)
    Sets the value of the longitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getLatitude

    public Double getLatitude()
    Gets the value of the latitude property.
    Returns:
      possible object is `Double`

  - ### setLatitude

    public void setLatitude(Double value)
    Sets the value of the latitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAltitude

    public Double getAltitude()
    Gets the value of the altitude property.
    Returns:
      possible object is `Double`

  - ### setAltitude

    public void setAltitude(Double value)
    Sets the value of the altitude property.
    Parameters:
      `value` - allowed object is `Double`